%define upstream_name    Linux-Distribution
%define upstream_version 0.14_01

Summary:	Mudule for Linux distribution
Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 1
License:        GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/LINUX/%{upstream_name}-%{upstream_version}.zip
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Perl extension to guess on which Linux distribution we are running.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
#make test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Fri Jan 01 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.140_100-1mdv2010.1
+ Revision: 484901
- disable tests because they fails on chroot
- import perl-Linux-Distribution


